# How to Install a Discourse Plugin for Events

## 1. Create a new discourse installation for testing

1. Initialize a new discourse site:

   ```bash
   ds init discourse @forum1.flossk.org
   cd /var/ds/forum1.flossk.org/
   ```

2. Copy `settings.sh` from the original site, but change `DOMAIN` to the new one (`forum1.flossk.org`):

   ```bash
   cp ../forum.flossk.org/settings.sh .
   vim settings.sh
   ```

3. Make the container:

   ```bash
   cd /var/ds/forum1.flossk.org
   ds make
   ```

   (It may take a few minutes.)

## 2. Take a backup from the original site and restore it on the test site

```bash
cd /var/ds/forum.flossk.org/
ds backup
ls backup/

mkdir -p ../forum1.flossk.org/backup/
cp backup/flossk-2020-07-10-171654-v20200710013237.tar.gz \
   ../forum1.flossk.org/backup/
cd ../forum1.flossk.org/
ds restore backup/flossk-2020-07-10-171654-v20200710013237.tar.gz
```

**Note:** For some reason it does not work for the first time. Try it a second time:
```bash
ds restore backup/flossk-2020-07-10-171654-v20200710013237.tar.gz
```

Now we can open the test site https://forum1.flossk.org and login as admin.